/*
 * spp.h
 *
 * Header file for hardware-level routines to support EPE programmer 
 *
 * Revision history:
 *
 * 03-Apr-1998: V-0.0; Created from pphw.h
 *
 * Copyright (C) 1998 David Tait.  All rights reserved.
 * Permission is granted to use, modify, or redistribute this software
 * so long as it is not sold or exploited for profit.
 *
 * THIS SOFTWARE IS PROVIDED AS IS AND WITHOUT WARRANTY OF ANY KIND,
 * EITHER EXPRESSED OR IMPLIED.
 *
 */

#ifndef __SPP_H
#define __SPP_H
#include <dos.h>
#include "timer.h"

#ifdef _MSC_VER                         /* changes for Microsoft C V7.00 */
#define outportb(p,v)        _outp(p,v)
#define inportb(p)           _inp(p)
#endif

#define SIN      16  /* CTS - pin 8 (9-pin connector) */
#define SVPP     64  /* TX -  pin 3 */
#define SCLK     2   /* RTS - pin 7 */
#define SOUT     1   /* DTR - pin 4  (GND - pin 5) */

#define PIN      64  /* ACK - printer port pin 10 */
#define PVPP     4   /* D2 - pin 4 */
#define PCLK     2   /* D1 - pin 3 */
#define POUT     1   /* D0 - pin 2  (GND - pin 18-25) */

#define STOP    0
#define GO      1

#define TDLY            TICKS(5)      /* default delay */

extern int dumpfmt;
int interact(int wait);
void run_mode(int mode);
void prog_mode(void);
void out_word(int w);
void command(int cmd);
int in_word(void);
void cleanup(void);
int setup(void);

#endif  /* __SPP_H */
